Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.bootstrap.bcp
Class EndpointDistributor

    java.lang.Object
      be.fgov.ehealth.technicalconnector.bootstrap.bcp.EndpointDistributor

    public final class EndpointDistributor

extends Object

Field Summary
`static String` | `PROP_POLLING_ACTIVATED`
`static String` | `PROP_POLLING_INTERVAL`

Method Summary
`void` | `activateNextEndPoint(String currentEndpoint)`
`void` | `activatePolling()`
`String` | `getActiveEndpoint(String currentEndpoint)`
`int` | `getAmountOfAlternatives(String currentEndpoint)`
`CacheInformation` | `getCacheInformation(String currentEndpoint)`
`static EndpointDistributor` | `getInstance()`
`String` | `getService(String currentEndpoint)`
`boolean` | `mustCache(String currentEndpoint)`
`boolean` | `mustPoll()`
`static boolean` | `update()`
`void` | `update(EndPointInformation info)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_POLLING_INTERVAL

    public static final String PROP_POLLING_INTERVAL

See Also:
  Constant Field Values

### PROP_POLLING_ACTIVATED

    public static final String PROP_POLLING_ACTIVATED

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static EndpointDistributor getInstance()

### getService

    public String getService(String currentEndpoint)

### getActiveEndpoint

    public String getActiveEndpoint(String currentEndpoint)

### mustCache

    public boolean mustCache(String currentEndpoint)

### getCacheInformation

    public CacheInformation getCacheInformation(String currentEndpoint)

### activatePolling

    public void activatePolling()

### mustPoll

    public boolean mustPoll()

### activateNextEndPoint

    public void activateNextEndPoint(String currentEndpoint)
                              throws NoNextEndpointException

  Throws:
    `NoNextEndpointException`

### getAmountOfAlternatives

    public int getAmountOfAlternatives(String currentEndpoint)

### update

    public void update(EndPointInformation info)

### update

    public static boolean update()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.